#!/bin/tcsh -f

#
# example script for batch encoding multiple wav files
# (C) 1999 Conrad Sanderson
# This script is released under the GPL v2 license  ( see http://www.gnu.org )
#

set num=$#

if ( $num == 0 ) then
	echo "usage: $0 file1.wav [file2.wav file3.wav ...]"
	exit -1
endif

set count=1

while ( $count <= $num )
	
	set wav=$argv[$count]
	set mp3=$wav:r.mp3		# hello.wav becomes hello.mp3

	# only process files which exist
	if ( -e $wav )  notlame $wav $mp3
	
	# print a blank line
	echo ""
	
	@ count++
end

